# 融合Flutter插件接入文档

### 1.Flutter插件接入

#### 1.1 申请appId和codeId

请向相关人员申请测试appId和codeId

#### 1.2 插件集成

1.在项目中的pubspec.yaml文件中添加如下的依赖

```javascript
dependencies:
 fusionsdk: ^1.0.8
```

2.通过命令拉取插件

```javascript
$ flutter pub get
```

#### 1.3 插件初始化(只有Android需要)

初始化请参考插件中example中的样例代码example/android/app/src/main/java/com.fusion.fusionsdk_example/MainApplication.java，需要在Application中执行如下初始化方法，同时Application需要在Manifest中进行配置

```java
FusionAdSDK.init(this,"appId");
```

#### 1.4 import

```javascript
//在需要使用banner的地方引入
import 'package:fusionsdk/fusion_banner_view.dart';
//在需要使用激励视频或者插屏的地方引入
import 'package:fusionsdk/fusion_ad_sdk.dart';
```

### 2.广告接入

### 2.1 开屏

开屏加载时机较早，暂不支持Dart方式进行接入，请参考example中的SplashActivity的开屏处理方式

具体回调为

```javascript
// 开屏加载完成
void onSplashAdLoad(SplashAd splashAd);
// 开屏被点击
void onAdClicked();
//开屏曝光
void onAdShow();
//开屏关闭
void onAdClosed();
//开屏倒计时
void onADTick(long finishMillions);
//开屏错误
void onAdError(int type, int code, String msg)
```

### 2.2 横幅

横幅是Widget,在页面中直接如下引用

```java
BannerAdView(
              codeId: "codeId",
              onAdLoad: () {
                //横幅加载完成
              },
              onAdShow: () {
                  //横幅曝光
              },
              onAdClick: () {
                  //横幅点击
              },
              onAdClose: () {
                  //横幅关闭
              },
              onAdError: (int code, String message) {
               //横幅错误
              },
            )
```

横幅自定义参考插件库中的 fusion_banner_view.dart文件，调整合适的尺寸

### 2.3 插屏

插屏是弹出式广告，接入方式如下

```java
FusionAdSdk.loadInterstitialAd(
                    "codeId",
                    onAdLoad: () {
                     //插件加载完成
                    },
                    onAdShow: () {
                     //插件曝光
                    },
                    onAdClick: () {
                     //插件曝光
                    },
                                      onAdClose: () {
                     //插件关闭
                                    },
                    onAdError: (int code, String message) {
                     //插屏错误
                    },
                  );
```

### 2.4激励视频

激励视频是短视频类广告，用户观看完视频后可以获得一些应用内的奖励

```java
FusionAdSdk.loadRewardVideoAd(
                    {"codeId": codeId, "userId": "your userId","ext":"your ext"},
                    onAdLoad: () {
                      //激励视频加载完成
                    },
                    onAdShow: () {
                     //激励视频曝光
                    },
                    onAdClick: () {
                     //激励视频点击
                    },
                    onVideoCached: () {
                      //激励视频缓存完毕
                    },
                    onVideoComplete: () {
                     //激励视频播放完成
                    },
                    onReward: () {
                      //激励视频奖励回调
                    },
                    onAdClose: () {
                      //激励视频关闭
                    },
                    onVideoError: () {
                      //激励视频视频播放错误
                    },
                    onAdError: (int code, String message) {
                     //激励视频广告拉取错误
                    },
                  );
```
