package com.fusion.fusionsdk;

import android.content.Context;


import com.fusion.fusionsdk.utils.Constants;
import com.fusion.fusionsdk.view.BannerAdView;

import java.util.Map;

import io.flutter.plugin.common.BinaryMessenger;
import io.flutter.plugin.common.StandardMessageCodec;
import io.flutter.plugin.platform.PlatformView;
import io.flutter.plugin.platform.PlatformViewFactory;

public class FusionAdViewFactory extends PlatformViewFactory {

    private BinaryMessenger mBinaryMessenger;

    public FusionAdViewFactory(BinaryMessenger binaryMessenger) {
        super(StandardMessageCodec.INSTANCE);
        mBinaryMessenger = binaryMessenger;
    }

    @Override
    public PlatformView create(Context context, int id, Object args) {
        Map<String, Object> map = (Map<String, Object>) args;
        String codeId = (String) map.get(Constants.CODE_ID);
        int width = -1;
        int height = -1;
        if (map.containsKey(Constants.WIDTH)) {
            width = (int) map.get(Constants.WIDTH);
        }
        if (map.containsKey(Constants.HEIGHT)) {
            height = (int) map.get(Constants.HEIGHT);
        }
        return new BannerAdView(context, mBinaryMessenger, id, codeId,width,height);
    }
}
