
#import <Foundation/Foundation.h>
#import "BUAdSDK/BUAdSDK.h"

NS_ASSUME_NONNULL_BEGIN

@protocol WUInterstitialAdDelegate;

@interface WUInterstitialAd : NSObject

@property (nonatomic, weak, nullable) id<WUInterstitialAdDelegate> delegate;
   
- (instancetype)initWithSlotID:(NSString *)slotID adSize:(CGSize)adsize;

- (void)showAdFromRootViewController:(UIViewController *)rootViewController;

@end

@protocol WUInterstitialAdDelegate <NSObject>

- (void)interstitialAdDidLoad:(WUInterstitialAd *)interstitialAd;

- (void)interstitialAd:(WUInterstitialAd *)interstitialAd didFailWithError:(NSError * __nullable)error;

- (void)interstitialAdDidExposed:(WUInterstitialAd *)interstitialAd;

- (void)interstitialAdDidClick:(WUInterstitialAd *)interstitialAd;

- (void)interstitialAdDidClose:(WUInterstitialAd *)interstitialAd;

@end

NS_ASSUME_NONNULL_END
