
#import <Foundation/Foundation.h>
#import "BUAdSDK/BUAdSDK.h"

NS_ASSUME_NONNULL_BEGIN

@protocol WURewardVideoAdDelegate;

@interface WURewardVideoAd : NSObject

- (instancetype)initWithSlotID:(NSString *)slotID;

- (instancetype)initWithSlotID:(NSString *)slotID userId:(nullable NSString *)userId;

- (instancetype)initWithSlotID:(NSString *)slotID userId:(nullable NSString *)userId extra:(nullable NSString *)extra;

- (void)showAdFromRootViewController:(UIViewController *)rootViewController;

@property (nonatomic, weak, nullable) id<WURewardVideoAdDelegate> delegate;

@end

@protocol WURewardVideoAdDelegate <NSObject>

- (void)rewardVideoAdDidPlayFinish:(WURewardVideoAd *)rewardedVideoAd;

- (void)rewardVideoAdDidClick:(WURewardVideoAd *)rewardedVideoAd;

- (void)rewardVideoAdDidClose:(WURewardVideoAd *)rewardedVideoAd;

- (void)rewardVideoAdDidLoad:(WURewardVideoAd *)rewardedVideoAd;

- (void)rewardVideoAd:(WURewardVideoAd *)rewardedVideoAd didFailWithError:(NSError *)error;

- (void)rewardVideoAdDidExposed:(WURewardVideoAd *)rewardedVideoAd;

-(void)rewardVideoAdDidRewardEffective:(WURewardVideoAd *)rewardedVideoAd;

@end

NS_ASSUME_NONNULL_END
